petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSortRemoveDupsReal

Sorts an array of doubles in place in increasing order removes all duplicate entries

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortRemoveDupsReal(PetscInt *n,PetscReal v[])

Not Collective

### Input Parameters

| n | - number of values
| v | - array of doubles

### Output Parameter

n -number of non-redundant values

### See Also

PetscSortReal(), PetscSortRemoveDupsInt()

Level:intermediate
Location:src/sys/utils/sortd.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages